with GNATCOM.Dispinterface;

package MSHTML.ISVGFitToViewBox_Interface is

   type ISVGFitToViewBox_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out ISVGFitToViewBox_Type);

   function Pointer (This : ISVGFitToViewBox_Type)
     return Pointer_To_ISVGFitToViewBox;

   procedure Attach (This    : in out ISVGFitToViewBox_Type;
                     Pointer : in     Pointer_To_ISVGFitToViewBox);

   function Get_viewBox
     (This : ISVGFitToViewBox_Type)
     return Pointer_To_ISVGAnimatedRect;

   procedure PutRef_preserveAspectRatio
     (This : ISVGFitToViewBox_Type;
      p    : Pointer_To_ISVGAnimatedPreserveAspectRatio);

   function Get_preserveAspectRatio
     (This : ISVGFitToViewBox_Type)
     return Pointer_To_ISVGAnimatedPreserveAspectRatio;

end MSHTML.ISVGFitToViewBox_Interface;

